Subject: Re: git bisect not accepting -git kernels

From: René Scharfe <[email-masked]>
Date: Tue, 17 Jul 2007 18:48:38 +0200

Amit Walambe schrieb:
> Hi!
> I was trying to do a git bisect on 2.6.22-git6 and 2.6.22-git8. For
> which I get following error :
> root@amit:/usr/src/linux-git # git bisect good v2.6.22-git6
> Bad rev input: v2.6.22-git6
> 
> The repository is obtained by :
> root@amit:/usr/src # git clone
> git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6 linux-git
> 
> I am running following git version on Debian Sid, updated today.
> # git --version
> git version 0.99.8.GIT
> '# dpkg -l | grep git' shows ' git-core 1:1.5.2.3-1'
> 
> I tried searching man-pages/documentation/website but couldn't find any
> references to git bisect on -git kernels. I would be grateful if anyone
> can help me find what's going wrong.

The -git snapshots are made automatically by kernel.org, and their name
is not included in the git repository.  You could create tags for them
like this:

 git tag v2.6.22-git6 8f41958bdd577731f7411c9605cfaa9db6766809
 git tag v2.6.22-git8 a5fcaa210626a79465321e344c91a6a7dc3881fa

... and afterwards you can use those revision names with bisect (or
other git commands).  I've got the commit IDs (i.e. those mysterious 40
hex digits above) from the first line of the changelogs; their URLs are:

 http://kernel.org/pub/linux/kernel/v2.6/snapshots/patch-2.6.22-git6.log
 http://kernel.org/pub/linux/kernel/v2.6/snapshots/patch-2.6.22-git8.log

René